/*
 *  KnockOutGame.h
 *  ToyCars
 *
 *  Created by Ruben Henner Zilibowitz on 17/12/05.
 *  Copyright 2005 Ruben Henner Zilibowitz. All rights reserved.
 *
 */

#ifndef KNOCKOUTGAME_H
#define KNOCKOUTGAME_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "CarGame.h"

class KnockOutGame : public CarGame
{
public:
            KnockOutGame(Tileset* inTilemap, Player** inPlayers, int inNumPlayers, FMOD::System* inFMOD_system, Tuple inStartLineA, Tuple inStartLineB, bool inClockwise, const list<Tuple> *inPathPolygon, const list<RoadSignInterval> *inSignIntervals);
    virtual ~KnockOutGame();
    
    virtual void    step(double dt);
	virtual void	addView(ScPortRect& portRect, int playerFollow);
//	double pathDistance(Player *player, list<Tuple> &pathPolygon, Tuple *outClosestPoint = NULL, Tuple *outPathDirection = NULL);
    
protected:
    int     *scores;
	list<Player*>	allPlayersList;
    
	virtual void	drawViews(double dt);
    void restartFromWinner(Player *winner);
};

#endif
