/*
	Copyright (C) 2009 by Ruben Henner Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the license.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  StaticImage.h
 *  toycars
 *
 *  Created by Ruben Henner Zilibowitz on 17/02/09.
 *  Copyright 2009 Ruben Henner Zilibowitz. All rights reserved.
 *
 */

#ifndef STATICIMAGE_H
#define STATICIMAGE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScImage.h"

class StaticImage
{
public:
   StaticImage(const char *filename);
   ~StaticImage();
   
   void draw();
   
protected:
   ScImage* image;
   int w, h;
};

#endif
