/*
 *  SearchDirectories.h
 *  toycars_vehicle_editor
 *
 *  Created by Ruben Henner Zilibowitz on 26/02/09.
 *  Copyright 2009 Ruben Henner Zilibowitz. All rights reserved.
 *
 */

#ifndef SEARCHDIRECTORIES_H
#define SEARCHDIRECTORIES_H 1
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

struct SearchDirectories {
   char path[1024];
   SearchDirectories *next;
};

void setGlobalSearchDirs();
void freeGlobalSearchDirs();
void freeSearchDirectories(SearchDirectories *dirs);
SearchDirectories *makeSearchDirectories(const char *path, SearchDirectories *next);
bool findDataFile(const char *filename, SearchDirectories *dirs, char *outPath = 0);
SearchDirectories *createDataSearchDirs();

#endif
