/*
	Copyright (C) 2007 by Ruben Henner Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the license.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Henner Zilibowitz on 7/12/07.
 *
 *  A wrapper class for an image of a starting light.
 *
 */

#ifndef STARTLIGHT_H
#define STARTLIGHT_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScImage.h"

class StartLight
{
public:
	StartLight(int k);
	~StartLight();
	
	void draw(unsigned char alpha = 255);
	
protected:
	ScImage*	lightImage;
};

const int kNumStartLights = 3;

#endif
